Bug 315497 - DigiKam crashes when inserting tags
Summary: DigiKam crashes when inserting tags
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-20 08:33 UTC by Willi
Modified: 2021-08-26 16:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Willi 2013-02-20 08:33:25 UTC
Application: digikam (3.0.0-rc)
KDE Platform Version: 4.10.00
Qt Version: 4.8.2
Operating System: Linux 3.2.0-38-generic-pae i686
Distribution: Ubuntu 12.04.2 LTS

-- Information about the crash:
- What I was doing when the application crashed:
When I add multiple tags in the images are finished digiKam.

The crash can be reproduced some of the time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xae3968c0 (LWP 3119))]

Thread 21 (Thread 0xabdaeb40 (LWP 3120)):
#0  0xb770e424 in __kernel_vsyscall ()
#1  0xb33e196b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb49fe64c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb4cc43f0 in wait (time=4294967295, this=0xa4c0e90) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa4c0dfc, mutex=0xa4c0df8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x082138ae in Digikam::ScanController::run (this=0xa4c64b8) at /build/buildd/digikam-3.0.0~rc/core/digikam/database/scancontroller.cpp:698
#6  0xb4cc3e80 in QThreadPrivate::start (arg=0xa4c64b8) at thread/qthread_unix.cpp:307
#7  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 20 (Thread 0xab3ffb40 (LWP 3121)):
#0  0xb49fe864 in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#1  0xb30753d0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb303587c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb3035faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xaaa00468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4dd767d in QEventLoop::processEvents (this=0xab3ff0c0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4dd7919 in QEventLoop::exec (this=0xab3ff0c0, flags=...) at kernel/qeventloop.cpp:204
#8  0xb4cc09ec in QThread::exec (this=0xa4c1818) at thread/qthread.cpp:501
#9  0xb4db4ccd in QInotifyFileSystemWatcherEngine::run (this=0xa4c1818) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb4cc3e80 in QThreadPrivate::start (arg=0xa4c1818) at thread/qthread_unix.cpp:307
#11 0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 19 (Thread 0xaa9ffb40 (LWP 3123)):
#0  0xb770e424 in __kernel_vsyscall ()
#1  0xb33e196b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb49fe64c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb4cc43f0 in wait (time=4294967295, this=0xa714020) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa631408, mutex=0xa631404, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb69f81ac in Digikam::ParkingThread::run (this=0xa6313f8) at /build/buildd/digikam-3.0.0~rc/core/libs/threads/threadmanager.cpp:119
#6  0xb4cc3e80 in QThreadPrivate::start (arg=0xa6313f8) at thread/qthread_unix.cpp:307
#7  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 18 (Thread 0xa9ba7b40 (LWP 3124)):
#0  0xb33e0c80 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb49fe8a4 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb3075410 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb3035b2b in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3036042 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xa9200468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4dd767d in QEventLoop::processEvents (this=0xa9ba70c0, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4dd7919 in QEventLoop::exec (this=0xa9ba70c0, flags=...) at kernel/qeventloop.cpp:204
#9  0xb4cc09ec in QThread::exec (this=0xa83d180) at thread/qthread.cpp:501
#10 0xb4db4ccd in QInotifyFileSystemWatcherEngine::run (this=0xa83d180) at io/qfilesystemwatcher_inotify.cpp:248
#11 0xb4cc3e80 in QThreadPrivate::start (arg=0xa83d180) at thread/qthread_unix.cpp:307
#12 0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 17 (Thread 0x9c363b40 (LWP 3138)):
#0  0xb2e9adcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb4d223b5 in do_gettime (frac=0x9c362e20, sec=0x9c362e18) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb4e0c6f6 in QTimerInfoList::updateCurrentTime (this=0xa9eb1da4) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb4e0ca4a in QTimerInfoList::timerWait (this=0xa9eb1da4, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb4e0b2f3 in timerSourcePrepareHelper (src=<optimized out>, timeout=0x9c362f2c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb4e0b38d in timerSourcePrepare (source=0xa9eb1d70, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb3035872 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb3035faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xab438b10, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb4dd767d in QEventLoop::processEvents (this=0x9c3630b8, flags=...) at kernel/qeventloop.cpp:149
#12 0xb4dd7919 in QEventLoop::exec (this=0x9c3630b8, flags=...) at kernel/qeventloop.cpp:204
#13 0xb69f774e in Digikam::WorkerObjectRunnable::run (this=0x886d1a38) at /build/buildd/digikam-3.0.0~rc/core/libs/threads/threadmanager.cpp:196
#14 0xb4cb643b in QThreadPoolThread::run (this=0xb8ce6c0) at concurrent/qthreadpool.cpp:107
#15 0xb4cc3e80 in QThreadPrivate::start (arg=0xb8ce6c0) at thread/qthread_unix.cpp:307
#16 0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 16 (Thread 0x9b361b40 (LWP 3140)):
#0  0xb33dfdc8 in pthread_mutex_lock () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb49fe864 in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb30753d0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb3035362 in g_main_context_release () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3036058 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xa0e43ea8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4dd767d in QEventLoop::processEvents (this=0x9b3610b8, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4dd7919 in QEventLoop::exec (this=0x9b3610b8, flags=...) at kernel/qeventloop.cpp:204
#9  0xb69f774e in Digikam::WorkerObjectRunnable::run (this=0x8918f0c8) at /build/buildd/digikam-3.0.0~rc/core/libs/threads/threadmanager.cpp:196
#10 0xb4cb643b in QThreadPoolThread::run (this=0xb8cfc00) at concurrent/qthreadpool.cpp:107
#11 0xb4cc3e80 in QThreadPrivate::start (arg=0xb8cfc00) at thread/qthread_unix.cpp:307
#12 0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 15 (Thread 0x9935db40 (LWP 3144)):
#0  0xb2e9adcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb4d223b5 in do_gettime (frac=0x9935ce20, sec=0x9935ce18) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb4e0c6f6 in QTimerInfoList::updateCurrentTime (this=0xaaa15134) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb4e0ca4a in QTimerInfoList::timerWait (this=0xaaa15134, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb4e0b2f3 in timerSourcePrepareHelper (src=<optimized out>, timeout=0x9935cf2c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb4e0b38d in timerSourcePrepare (source=0xaaa15100, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb3035872 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb3035faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xaaa13f00, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb4dd767d in QEventLoop::processEvents (this=0x9935d0b8, flags=...) at kernel/qeventloop.cpp:149
#12 0xb4dd7919 in QEventLoop::exec (this=0x9935d0b8, flags=...) at kernel/qeventloop.cpp:204
#13 0xb69f774e in Digikam::WorkerObjectRunnable::run (this=0x8c5e18d0) at /build/buildd/digikam-3.0.0~rc/core/libs/threads/threadmanager.cpp:196
#14 0xb4cb643b in QThreadPoolThread::run (this=0xb8e6398) at concurrent/qthreadpool.cpp:107
#15 0xb4cc3e80 in QThreadPrivate::start (arg=0xb8e6398) at thread/qthread_unix.cpp:307
#16 0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 14 (Thread 0x98b5cb40 (LWP 3145)):
#0  0xb30358a2 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb3035faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xa04031a8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0xb4dd767d in QEventLoop::processEvents (this=0x98b5c0b8, flags=...) at kernel/qeventloop.cpp:149
#5  0xb4dd7919 in QEventLoop::exec (this=0x98b5c0b8, flags=...) at kernel/qeventloop.cpp:204
#6  0xb69f774e in Digikam::WorkerObjectRunnable::run (this=0x8c5ec208) at /build/buildd/digikam-3.0.0~rc/core/libs/threads/threadmanager.cpp:196
#7  0xb4cb643b in QThreadPoolThread::run (this=0xb8e6620) at concurrent/qthreadpool.cpp:107
#8  0xb4cc3e80 in QThreadPrivate::start (arg=0xb8e6620) at thread/qthread_unix.cpp:307
#9  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#10 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 13 (Thread 0x93b52b40 (LWP 3155)):
#0  0xb770e424 in __kernel_vsyscall ()
#1  0xb49e03eb in read () from /lib/i386-linux-gnu/libc.so.6
#2  0xb30746ae in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb3035bd2 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3036042 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xab45fee0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4dd767d in QEventLoop::processEvents (this=0x93b520b8, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4dd7919 in QEventLoop::exec (this=0x93b520b8, flags=...) at kernel/qeventloop.cpp:204
#9  0xb69f774e in Digikam::WorkerObjectRunnable::run (this=0x8c5ec520) at /build/buildd/digikam-3.0.0~rc/core/libs/threads/threadmanager.cpp:196
#10 0xb4cb643b in QThreadPoolThread::run (this=0xb43d120) at concurrent/qthreadpool.cpp:107
#11 0xb4cc3e80 in QThreadPrivate::start (arg=0xb43d120) at thread/qthread_unix.cpp:307
#12 0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 12 (Thread 0x90a28b40 (LWP 3165)):
#0  0xb2e9adcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb4d223b5 in do_gettime (frac=0x90a27e30, sec=0x90a27e28) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb4e0c6f6 in QTimerInfoList::updateCurrentTime (this=0xaa02893c) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb4e0ca4a in QTimerInfoList::timerWait (this=0xaa02893c, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb4e0b2f3 in timerSourcePrepareHelper (src=<optimized out>, timeout=0x90a27f3c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb4e0b38d in timerSourcePrepare (source=0xaa028908, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb3035872 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb3035faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xaa028dd0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb4dd767d in QEventLoop::processEvents (this=0x90a280c0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb4dd7919 in QEventLoop::exec (this=0x90a280c0, flags=...) at kernel/qeventloop.cpp:204
#13 0xb4cc09ec in QThread::exec (this=0xb1ca680) at thread/qthread.cpp:501
#14 0xb4db4ccd in QInotifyFileSystemWatcherEngine::run (this=0xb1ca680) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb4cc3e80 in QThreadPrivate::start (arg=0xb1ca680) at thread/qthread_unix.cpp:307
#16 0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 11 (Thread 0x90227b40 (LWP 3166)):
#0  0xb49fea1a in ?? () from /lib/i386-linux-gnu/libc.so.6
#1  0xb49e25d8 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0xb3043a7b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb30360ae in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4e0bdb7 in QEventDispatcherGlib::processEvents (this=0xaaa37b10, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4dd767d in QEventLoop::processEvents (this=0x902270c0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4dd7919 in QEventLoop::exec (this=0x902270c0, flags=...) at kernel/qeventloop.cpp:204
#8  0xb4cc09ec in QThread::exec (this=0xc0508b8) at thread/qthread.cpp:501
#9  0xb4db4ccd in QInotifyFileSystemWatcherEngine::run (this=0xc0508b8) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb4cc3e80 in QThreadPrivate::start (arg=0xc0508b8) at thread/qthread_unix.cpp:307
#11 0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 10 (Thread 0x8da22b40 (LWP 3202)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 9 (Thread 0x890ffb40 (LWP 3203)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 8 (Thread 0x8ea24b40 (LWP 3204)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0x8018fb40 (LWP 3224)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 6 (Thread 0x7f98eb40 (LWP 3225)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0x7f18db40 (LWP 3226)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0x9bb62b40 (LWP 3230)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0x99b5eb40 (LWP 3231)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0x9ab60b40 (LWP 3232)):
#0  0xb3852ba5 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb3852c3e in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb38514d8 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb33ddd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb49f0d3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xae3968c0 (LWP 3119)):
[KCrash Handler]
#7  0x08257604 in data (arole=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qabstractitemmodel.h:402
#8  Digikam::AssignNameOverlay::checkIndex (this=0xa75dcb0, index=...) at /build/buildd/digikam-3.0.0~rc/core/digikam/items/assignnameoverlay.cpp:241
#9  0xb6a5262d in checkIndexOnEnter (index=..., this=0xa75dcb0) at /build/buildd/digikam-3.0.0~rc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:282
#10 Digikam::AbstractWidgetDelegateOverlay::checkIndexOnEnter (this=0xa75dcb0, index=...) at /build/buildd/digikam-3.0.0~rc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:270
#11 0xb6a526ac in Digikam::PersistentWidgetDelegateOverlay::slotEntered (this=0xa75dcb0, index=...) at /build/buildd/digikam-3.0.0~rc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:577
#12 0xb6a52b3b in setPersistent (this=<optimized out>, persistent=<optimized out>) at /build/buildd/digikam-3.0.0~rc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:542
#13 Digikam::PersistentWidgetDelegateOverlay::setPersistent (this=0xa75dcb0, persistent=false) at /build/buildd/digikam-3.0.0~rc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:525
#14 0xb6a52d13 in Digikam::PersistentWidgetDelegateOverlay::leavePersistentMode (this=0xa75dcb0) at /build/buildd/digikam-3.0.0~rc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:558
#15 0x08257534 in Digikam::AssignNameOverlay::eventFilter (this=0xa75dcb0, o=0xa842878, e=0xbfcfe6a0) at /build/buildd/digikam-3.0.0~rc/core/digikam/items/assignnameoverlay.cpp:351
#16 0xb4dd8f76 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0xa393b30, receiver=0xa842878, event=0xbfcfe6a0) at kernel/qcoreapplication.cpp:1025
#17 0xb5346dc2 in notify_helper (e=0xbfcfe6a0, receiver=0xa842878, this=0xa393b30) at kernel/qapplication.cpp:4552
#18 QApplicationPrivate::notify_helper (this=0xa393b30, receiver=0xa842878, e=0xbfcfe6a0) at kernel/qapplication.cpp:4528
#19 0xb534c1f2 in QApplication::notify (this=0xa393b30, receiver=0xa842878, e=0xbfcfe6a0) at kernel/qapplication.cpp:4521
#20 0xb5ecc9a1 in KApplication::notify (this=0xbfcff448, receiver=0xa842878, event=0xbfcfe6a0) at ../../kdeui/kernel/kapplication.cpp:311
#21 0xb4dd8dde in QCoreApplication::notifyInternal (this=0xbfcff448, receiver=0xa842878, event=0xbfcfe6a0) at kernel/qcoreapplication.cpp:915
#22 0xb534532a in sendEvent (event=0xbfcfe6a0, receiver=0xa842878) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#23 QApplicationPrivate::setFocusWidget (focus=0xa6504b0, reason=Qt::MouseFocusReason) at kernel/qapplication.cpp:2257
#24 0xb5392c6b in QWidget::setFocus (this=0xa6504b0, reason=Qt::MouseFocusReason) at kernel/qwidget.cpp:6459
#25 0xb5344e00 in QApplicationPrivate::giveFocusAccordingToFocusPolicy (widget=0xa83fe38, focusPolicy=Qt::ClickFocus, focusReason=Qt::MouseFocusReason) at kernel/qapplication.cpp:5590
#26 0xb534e334 in QApplication::notify (this=0xbfcff448, receiver=0xa83fe38, e=0xbfcfeb74) at kernel/qapplication.cpp:4056
#27 0xb5ecc9a1 in KApplication::notify (this=0xbfcff448, receiver=0xa83fe38, event=0xbfcfeb74) at ../../kdeui/kernel/kapplication.cpp:311
#28 0xb4dd8dde in QCoreApplication::notifyInternal (this=0xbfcff448, receiver=0xa83fe38, event=0xbfcfeb74) at kernel/qcoreapplication.cpp:915
#29 0xb5347db5 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#30 QApplicationPrivate::sendMouseEvent (receiver=0xa83fe38, event=0xbfcfeb74, alienWidget=0xa83fe38, nativeWidget=0xa6504b0, buttonDown=0xb5cdbcf4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3167
#31 0xb53d3f94 in QETWidget::translateMouseEvent (this=0xa6504b0, event=0xbfcff02c) at kernel/qapplication_x11.cpp:4617
#32 0xb53d2b2d in QApplication::x11ProcessEvent (this=0xbfcff448, event=0xbfcff02c) at kernel/qapplication_x11.cpp:3732
#33 0xb53ffe1c in x11EventSourceDispatch (s=0xa397640, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#34 0xb3035d86 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#35 0xb3036125 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#36 0xb3036201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#37 0xb4e0bd57 in QEventDispatcherGlib::processEvents (this=0xa34a290, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#38 0xb53ffa1a in QGuiEventDispatcherGlib::processEvents (this=0xa34a290, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#39 0xb4dd767d in QEventLoop::processEvents (this=0xbfcff324, flags=...) at kernel/qeventloop.cpp:149
#40 0xb4dd7919 in QEventLoop::exec (this=0xbfcff324, flags=...) at kernel/qeventloop.cpp:204
#41 0xb4ddd31a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#42 0xb53449c4 in QApplication::exec () at kernel/qapplication.cpp:3817
#43 0x080b9271 in main (argc=11317744, argv=0xb61242b8) at /build/buildd/digikam-3.0.0~rc/core/digikam/main/main.cpp:234

This bug may be a duplicate of or related to bug 297558.

Possible duplicates by query: bug 309142, bug 303328, bug 301506, bug 297558.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-02-22 22:55:28 UTC

*** This bug has been marked as a duplicate of bug 297558 ***
Comment 2 caulier.gilles 2021-08-26 16:59:19 UTC
Fixed with #297558